# citesdoc
Toto je API pro Domino konektor ostatních dokumentů CITES

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install sysnet-citesdoc
```

Then import the package:
```python
import citesdoc 
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import citesdoc
from citesdoc.rest import ApiException
from pprint import pprint

# Configure API key authorization: apiKey
configuration = citesdoc.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = citesdoc.AdminsApi(citesdoc.ApiClient(configuration))
doc_code = citesdoc.DocumentCode() # DocumentCode | 

try:
    # Odstraní položku šablony PDF (cruD)
    api_instance.delete_template(doc_code)
except ApiException as e:
    print("Exception when calling AdminsApi->delete_template: %s\n" % e)

# Configure API key authorization: apiKey
configuration = citesdoc.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = citesdoc.AdminsApi(citesdoc.ApiClient(configuration))
doc_code = citesdoc.DocumentCode() # DocumentCode | 

try:
    # Vrátí šablonu PDF (cRud)
    api_response = api_instance.get_template(doc_code)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->get_template: %s\n" % e)

# Configure API key authorization: apiKey
configuration = citesdoc.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = citesdoc.AdminsApi(citesdoc.ApiClient(configuration))

try:
    # Vrací seznam šablon
    api_response = api_instance.get_template_list()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->get_template_list: %s\n" % e)

# Configure API key authorization: apiKey
configuration = citesdoc.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = citesdoc.AdminsApi(citesdoc.ApiClient(configuration))
body = citesdoc.TemplateType() # TemplateType | Definice šablony (optional)

try:
    # Zavede novou položku šablony (Crud)
    api_instance.post_template_item(body=body)
except ApiException as e:
    print("Exception when calling AdminsApi->post_template_item: %s\n" % e)

# Configure API key authorization: apiKey
configuration = citesdoc.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = citesdoc.AdminsApi(citesdoc.ApiClient(configuration))
doc_code = citesdoc.DocumentCode() # DocumentCode | 
body = citesdoc.Object() # Object | Upload soubor PDF nebo JRXML, případně ZIP u vícesouborové šablony (optional)
enclosure = false # bool | Indikátor, zda se jedná o šablonu přílohy nebo první stránky (optional) (default to false)
filename = 'filename_example' # str | Nový název souboru. Pokud není zadáno, použije se název uložený v systému (optional)

try:
    # Nahraje soubor se šablonou PDF nebo změní definici šablony (crUd)
    api_instance.put_template(doc_code, body=body, enclosure=enclosure, filename=filename)
except ApiException as e:
    print("Exception when calling AdminsApi->put_template: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://valpha.sysnet.cz/SYSNET/CITES_other_doc/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminsApi* | [**delete_template**](docs/AdminsApi.md#delete_template) | **DELETE** /template/{docCode} | Odstraní položku šablony PDF (cruD)
*AdminsApi* | [**get_template**](docs/AdminsApi.md#get_template) | **GET** /template/{docCode} | Vrátí šablonu PDF (cRud)
*AdminsApi* | [**get_template_list**](docs/AdminsApi.md#get_template_list) | **GET** /template | Vrací seznam šablon
*AdminsApi* | [**post_template_item**](docs/AdminsApi.md#post_template_item) | **POST** /template | Zavede novou položku šablony (Crud)
*AdminsApi* | [**put_template**](docs/AdminsApi.md#put_template) | **PUT** /template/{docCode} | Nahraje soubor se šablonou PDF nebo změní definici šablony (crUd)
*DevelopersApi* | [**info_api**](docs/DevelopersApi.md#info_api) | **GET** /info | vrací servisní informace
*DevelopersApi* | [**info_api_head**](docs/DevelopersApi.md#info_api_head) | **HEAD** /info | vrací informaci o dostupnosti služby
*PublicApi* | [**delete_document**](docs/PublicApi.md#delete_document) | **DELETE** /doc/{identifier} | Odstraní dokument (cruD)
*PublicApi* | [**get_document**](docs/PublicApi.md#get_document) | **GET** /doc/{identifier} | Vrací konkrétní dokument (cRud)
*PublicApi* | [**get_document_list**](docs/PublicApi.md#get_document_list) | **GET** /doc | Vrací seznam dokumentů podle klíče nebo kódu
*PublicApi* | [**get_pdf_file**](docs/PublicApi.md#get_pdf_file) | **GET** /pdf/{identifier} | Vrací PDF dokument
*PublicApi* | [**get_xfdf**](docs/PublicApi.md#get_xfdf) | **GET** /xfdf/{identifier} | Vrací XFDF data dokumentu
*PublicApi* | [**post_document**](docs/PublicApi.md#post_document) | **POST** /doc | Vytvoří nový dokument (Crud)
*PublicApi* | [**put_document**](docs/PublicApi.md#put_document) | **PUT** /doc/{identifier} | Aktualizuje dokument (crUd)

## Documentation For Models

 - [BaseDocumentType](docs/BaseDocumentType.md)
 - [ConditionsType](docs/ConditionsType.md)
 - [DocumentCode](docs/DocumentCode.md)
 - [DocumentEntryListType](docs/DocumentEntryListType.md)
 - [DocumentEntryType](docs/DocumentEntryType.md)
 - [ErrorModel](docs/ErrorModel.md)
 - [GeneralType](docs/GeneralType.md)
 - [GoodsType](docs/GoodsType.md)
 - [IssuingType](docs/IssuingType.md)
 - [MetadataType](docs/MetadataType.md)
 - [OtherType](docs/OtherType.md)
 - [PersonType](docs/PersonType.md)
 - [TaxonType](docs/TaxonType.md)
 - [TemplateType](docs/TemplateType.md)
 - [TransactionType](docs/TransactionType.md)
 - [XfdfFieldType](docs/XfdfFieldType.md)
 - [XfdfListType](docs/XfdfListType.md)
 - [XfdfType](docs/XfdfType.md)
 - [XfdfTypeIdentifier](docs/XfdfTypeIdentifier.md)
 - [XfdfTypeTemplateFile](docs/XfdfTypeTemplateFile.md)

## Documentation For Authorization


## apiKey

- **Type**: API key
- **API key parameter name**: X-API-KEY
- **Location**: HTTP header


## Author

info@sysnet.cz
